Profile
Update profile routing status
PATCH /profile/{id}/routingStatus
PATCH /profile/{id}/routingStatus
Update the routing status for calls and chats for a specific profile. Necessary to manually control which agents should be able to take calls or chats when integrating a custom telephony solution. Requires having 'updateSpecificProfile' permission.
Path parameters
idintegerpathrequiredThe id of the profile to update routing status for
Request body
callRoutingStatusenumbodyThe routing status for queues (calls, chats, etc) Options: idle, interacting, beingConnected, notResponding, unavailable, offline, acw
chatRoutingStatusenumbodyThe routing status for queues (calls, chats, etc) Options: idle, interacting, beingConnected, notResponding, unavailable, offline, acw
Request Example
{
"callRoutingStatus": "idle",
"chatRoutingStatus": "idle"
}Responses
200 — Successful operation
Response Example
{
"success": true
}403 — Unauthorized - user does not have permission to update this profile's routing status